Table of Contents

Class: IReactorTCP | Twisted-0.17.4/twisted/internet/interfaces.py
--- | ---

Base Classes |
--- | ---
Interface

Methods |
--- | ---
clientTCP listenTCP
| clientTCP

    clientTCP (
            self,
            host,
            port,
            protocol,
            timeout=30,
            )

### Connect a TCP client.

#### Arguments:

- host: a host name

- port: a port number

- protocol: a twisted.internet.protocol.Protocol instance

- timeout: amount of time to wait before assuming the connection has failed.

| listenTCP

    listenTCP (
            self,
            port,
            factory,
            backlog=5,
            interface='',
            )

Connects a given protocol factory to the given numeric TCP/IP port.

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:49 2002 by HappyDoc version 2.0